## kwallet-kf5 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts
project(KWallet VERSION ${KF_VERSION})
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)

include(ECMAddQch)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)

option(BUILD_KWALLETD "Build the kwallet daemon" ON)
option(BUILD_KWALLET_QUERY "Build kwallet-query tool" ON)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF_DEP_VERSION})

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
    KSERVICE 5.81 # KToolInvocation::startServiceByDesktopName
)

add_definitions(-DTRANSLATION_DOMAIN=\"kwalletd5\")
ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(examples)
endif()
if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/runtime/kwalletd/CMakeLists.txt ===
project(kwalletd5)

include(CheckSymbolExists)

check_symbol_exists(explicit_bzero "string.h" KWALLETD_HAVE_EXPLICIT_BZERO)
check_symbol_exists(RtlSecureZeroMemory "windows.h" KWALLETD_HAVE_RTLSECUREZEROMEMORY)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)

find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)

########### find needed packages ######
find_package(Gpgmepp 1.7.0) # provided by GpgME

if (Gpgmepp_FOUND)
    message("GPG support enabled")
    add_definitions(-DHAVE_GPGMEPP)
    add_definitions(-DBOOST_NO_EXCEPTIONS)
    include_directories(${GPGME_INCLUDES})
endif(Gpgmepp_FOUND)

find_package(Qca-qt${QT_MAJOR_VERSION} REQUIRED 2.3.1)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
########### build backends #########
add_subdirectory(backend)
add_subdirectory(autotests)

########### kwalletd ###############

add_executable(kwalletd5)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/backend)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../api/KWallet)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../api/KWallet)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

ecm_setup_version(${KF_VERSION} VARIABLE_PREFIX KWALLETD
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kwalletd_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WalletConfigVersion.cmake"
                        SOVERSION 5)

target_sources(kwalletd5 PRIVATE
   main.cpp
   kbetterthankdialog.cpp
   kwalletd.cpp
   kwalletwizard.cpp
   ktimeout.cpp
   kwalletsessionstore.cpp
   kwalletfreedesktopservice.cpp
   kwalletfreedesktopsession.cpp
   kwalletfreedesktopcollection.cpp
   kwalletfreedesktopitem.cpp
   kwalletfreedesktopprompt.cpp
   kwalletfreedesktopattributes.cpp
)
ecm_qt_declare_logging_category(kwalletd5
    HEADER kwalletd_debug.h
    IDENTIFIER KWALLETD_LOG
    CATEGORY_NAME kf.wallet.kwalletd
    OLD_CATEGORY_NAMES kf5.kwallet.kwalletd
    DESCRIPTION "kwalletd"
    EXPORT KWALLET
)

ki18n_wrap_ui(kwalletd5
   kbetterthankdialogbase.ui
   kwalletwizardpageexplanation.ui
   kwalletwizardpageintro.ui
   kwalletwizardpageoptions.ui
   kwalletwizardpagepassword.ui
)

if (Gpgmepp_FOUND)
    target_sources(kwalletd5 PRIVATE
        knewwalletdialog.cpp
    )
    ki18n_wrap_ui(kwalletd5
        kwalletwizardpagepasswordgpg.ui
        kwalletwizardpagegpgkey.ui
        knewwalletdialogintro.ui
        knewwalletdialoggpg.ui
    )
endif(Gpgmepp_FOUND)

if (NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
    EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.72.0)
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.xml)
else()
    # copy of org.kde.KWallet.xml, but with all deprecated API removed
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.nodeprecated.xml)
endif()
set(fdo_service_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Service.xml)
set(fdo_session_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Session.xml)
set(fdo_collection_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Collection.xml)
set(fdo_item_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Item.xml)
set(fdo_prompt_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Prompt.xml)

set(kwalletd_dbus_SRCS)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${kwallet_xml} kwalletd.h KWalletD kwalletadaptor KWalletAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_service_xml} kwalletfreedesktopservice.h KWalletFreedesktopService
    kwalletfreedesktopserviceadaptor KWalletFreedesktopServiceAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_session_xml} kwalletfreedesktopsession.h KWalletFreedesktopSession
    kwalletfreedesktopsessionadaptor KWalletFreedesktopSessionAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_collection_xml} kwalletfreedesktopcollection.h KWalletFreedesktopCollection
    kwalletfreedesktopcollectionadaptor KWalletFreedesktopCollectionAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_item_xml} kwalletfreedesktopitem.h KWalletFreedesktopItem
    kwalletfreedesktopitemadaptor KWalletFreedesktopItemAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_prompt_xml} kwalletfreedesktopprompt.h KWalletFreedesktopPrompt
    kwalletfreedesktoppromptadaptor KWalletFreedesktopPromptAdaptor)
target_sources(kwalletd5 PRIVATE
    ${kwalletd_dbus_SRCS}
)

if(WIN32)
    configure_file(org.kde.kwalletd5.service.win.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service)
else()
    configure_file(org.kde.kwalletd5.service.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service)
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service
        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

target_link_libraries(kwalletd5
    kwalletbackend5
    KF5Wallet
    Qt${QT_MAJOR_VERSION}::Widgets
    KF5::I18n
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::Service
    KF5::DBusAddons
    KF5::WidgetsAddons
    KF5::WindowSystem
    KF5::Notifications
    ${Qca_LIBRARY})
if (Gpgmepp_FOUND)
    target_link_libraries(kwalletd5 Gpgmepp)
    kde_target_enable_exceptions(kwalletd5 PRIVATE)
endif(Gpgmepp_FOUND)

ecm_mark_nongui_executable(kwalletd5)
install(TARGETS kwalletd5  ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############
if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.102.0)
    install( FILES kwalletd5.desktop  DESTINATION  ${KDE_INSTALL_KSERVICESDIR} )
endif()

install( FILES kwalletd5.notifyrc DESTINATION  ${KDE_INSTALL_KNOTIFYRCDIR} )
install( FILES org.kde.kwalletd5.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

=== src/runtime/kwalletd/autotests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

include(ECMAddTests)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../backend)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../backend)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../api/KWallet)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../api/KWallet)

add_definitions(-DFDO_ENABLE_DUMMY_MESSAGE_CONNECTION)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

if (NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
    EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.72.0)
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.xml)
else()
    # copy of org.kde.KWallet.xml, but with all deprecated API removed
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.nodeprecated.xml)
endif()
set(fdo_service_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Service.xml)
set(fdo_session_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Session.xml)
set(fdo_collection_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Collection.xml)
set(fdo_item_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Item.xml)
set(fdo_prompt_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Prompt.xml)

set(TEST_SRC
    fdo_secrets_test.cpp
    ../kwalletfreedesktopservice.cpp
    ../kwalletfreedesktopitem.cpp
    ../kwalletfreedesktopcollection.cpp
    ../kwalletfreedesktopsession.cpp
    ../kwalletfreedesktopprompt.cpp
    ../kwalletfreedesktopattributes.cpp
)

qt_add_dbus_adaptor( TEST_SRC ${kwallet_xml} ../kwalletd.h KWalletD kwalletadaptor KWalletAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_service_xml} ../kwalletfreedesktopservice.h KWalletFreedesktopService
    kwalletfreedesktopserviceadaptor KWalletFreedesktopServiceAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_session_xml} ../kwalletfreedesktopsession.h KWalletFreedesktopSession
    kwalletfreedesktopsessionadaptor KWalletFreedesktopSessionAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_collection_xml} ../kwalletfreedesktopcollection.h KWalletFreedesktopCollection
    kwalletfreedesktopcollectionadaptor KWalletFreedesktopCollectionAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_item_xml} ../kwalletfreedesktopitem.h KWalletFreedesktopItem
    kwalletfreedesktopitemadaptor KWalletFreedesktopItemAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_prompt_xml} ../kwalletfreedesktopprompt.h KWalletFreedesktopPrompt
    kwalletfreedesktoppromptadaptor KWalletFreedesktopPromptAdaptor)

ecm_add_test(
    ${TEST_SRC}
    ../kwalletfreedesktopservice.h
    ../kwalletfreedesktopcollection.h
    ../kwalletfreedesktopitem.h
    ../kwalletfreedesktopsession.h
    ../kwalletfreedesktopprompt.h
    ../kwalletd.h
    ../ktimeout.h
    kwalletfreedesktopserviceadaptor.cpp
    kwalletfreedesktopcollectionadaptor.cpp
    kwalletfreedesktopitemadaptor.cpp
    kwalletfreedesktopsessionadaptor.cpp
    kwalletfreedesktoppromptadaptor.cpp
    TEST_NAME fdo_secrets_test
    LINK_LIBRARIES
        KF5Wallet
        kwalletbackend5
        Qt${QT_MAJOR_VERSION}::Widgets
        Qt${QT_MAJOR_VERSION}::Test
        KF5::DBusAddons
        KF5::ConfigCore
        ${Qca_LIBRARY}
)

=== debian/changelog ===
kwallet-kf5 (5.115.0-4+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 5.46.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 02 Jun 2018 23:58:11 +0000]
  * Update symbols file for Raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 07 Sep 2024 15:08:22 +0000

kwallet-kf5 (5.115.0-4) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: remove libkwalletbackend5.so, dropped since version
    5.115.0-3~exp1.
  * CI: update/simplify configuration.
  * Remove unused debian/not-installed file.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Bump Standards-Version to 4.7.0, no changes required.
  * Remove empty line from rules.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 23:43:12 +0200

kwallet-kf5 (5.115.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:11:46 +0200

kwallet-kf5 (5.115.0-3~exp2) experimental; urgency=medium

  [ Patrick Franz ]
  * Make libkf5wallet-bin depend on kwallet6.

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 May 2024 18:50:50 +0200

kwallet-kf5 (5.115.0-3~exp1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Disable building of kwalletd and kwallet-query to prepare coinstability
    with KF6 kwallet.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 09 May 2024 17:11:36 +0200

kwallet-kf5 (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:15:19 +0200

kwallet-kf5 (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Enable LTO (Closes: #1015465).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:03:48 +0100

=== debian/control ===
Source: kwallet-kf5
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme-dev | libgpgme11-dev,
               libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
               libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
               libkf5config-dev (>= 5.115.0~),
               libkf5configwidgets-dev (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5dbusaddons-dev (>= 5.115.0~),
               libkf5doctools-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5notifications-dev (>= 5.115.0~),
               libkf5service-dev (>= 5.115.0~),
               libkf5widgetsaddons-dev (>= 5.115.0~),
               libkf5windowsystem-dev (>= 5.115.0~),
               libqca-qt5-2-dev (>= 2.3.1~),
               libqca-qt5-2-plugins <!nocheck>,
               libqt5sql5-sqlite,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kwallet
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet.git
Rules-Requires-Root: no

Package: libkf5wallet-bin
Section: oldlibs
Architecture: all
Depends: kwallet6, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10),
Replaces: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10),
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the translation files for kwallet-framework

Package: libkf5wallet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.115.0~),
         libkf5wallet5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.115.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5wallet-doc (= ${source:Version}),
Description: development files for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains development files for kwallet-framework.
Breaks: libkf5kdelibs4support-dev (<< 5.54), libkf5khtml-dev (<< 5.54),

Package: libkf5wallet-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5wallet5
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
Breaks: kio (<< 5.54), libkf5khtml5 (<< 5.54), libkf5webkit5 (<< 5.54),

## kwallet-kf5 5.116.0

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION}Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT TARGET Qt${QT_MAJOR_VERSION}::Test)
    message(STATUS "Qt${QT_MAJOR_VERSION}Test not found, autotests will not be built.")
    return()
endif()

if(BUILD_KWALLETD)
    ecm_add_tests(
        blowfishtest.cpp
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test kwalletbackend5
        )

    target_include_directories(blowfishtest PRIVATE ${CMAKE_SOURCE_DIR}/src/runtime/kwalletd
        ${CMAKE_BINARY_DIR}/src/runtime/kwalletd/backend)
endif()

add_subdirectory(KWallet)

=== debian/changelog ===
kwallet-kf5 (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.
    - Disable tests.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 11:43:05 +0100

kwallet-kf5 (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:42:28 +0200

kwallet-kf5 (5.116.0-0ubuntu2) oracular; urgency=medium

  * Disable building of kwalletd and kwallet-query to make co-
    installable with KF6 kwallet. (LP: #2077164)

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Aug 2024 12:44:16 +0100

kwallet-kf5 (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:45:18 +0100

kwallet-kf5 (5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:37:34 +0000

kwallet-kf5 (5.115.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:29:48 +0000

kwallet-kf5 (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 08:03:49 -0700

=== debian/control ===
--- 
+++ 
@@ -1,45 +1,45 @@
 Source: kwallet-kf5
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libgpgme-dev | libgpgme11-dev,
-               libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
-               libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
-               libkf5config-dev (>= 5.115.0~),
-               libkf5configwidgets-dev (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5dbusaddons-dev (>= 5.115.0~),
-               libkf5doctools-dev (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
-               libkf5notifications-dev (>= 5.115.0~),
-               libkf5service-dev (>= 5.115.0~),
-               libkf5widgetsaddons-dev (>= 5.115.0~),
-               libkf5windowsystem-dev (>= 5.115.0~),
+               libgpgme-dev (>= 1.7.0~),
+               libgpgmepp-dev (>= 1.7.0~),
+               libkf5config-dev (>= 5.116.0~),
+               libkf5configwidgets-dev (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5dbusaddons-dev (>= 5.116.0~),
+               libkf5doctools-dev (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
+               libkf5notifications-dev (>= 5.116.0~),
+               libkf5service-dev (>= 5.116.0~),
+               libkf5widgetsaddons-dev (>= 5.116.0~),
+               libkf5windowsystem-dev (>= 5.116.0~),
                libqca-qt5-2-dev (>= 2.3.1~),
                libqca-qt5-2-plugins <!nocheck>,
                libqt5sql5-sqlite,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kwallet
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
 Rules-Requires-Root: no
 
 Package: libkf5wallet-bin
 Section: oldlibs
 Architecture: all
-Depends: kwallet6, ${misc:Depends}
+Depends: kwallet6, ${misc:Depends},
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
@@ -59,9 +59,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.115.0~),
+Depends: libkf5config-dev (>= 5.116.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.115.0~),
+         libkf5windowsystem-dev (>= 5.116.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5wallet-doc (= ${source:Version}),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_KWALLETD=OFF -DBUILD_KWALLET_QUERY=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/frameworks/([\d.]+)/kwallet-([\d.]+)\.tar\.xz

## kwallet-kf5 5.116.0+p24.04+vstable+git20250901.0400

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20250901.0400-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 04:00:27 +0000

kwallet-kf5 (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:44:33 +1000

kwallet-kf5 (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:42:44 +0000

kwallet-kf5 (5.115.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:30:10 +0000

kwallet-kf5 (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:08:59 +0000

kwallet-kf5 (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:52:09 +0000

kwallet-kf5 (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 16:06:27 +0000

kwallet-kf5 (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:32:17 +0000

kwallet-kf5 (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 04:24:25 +0000

kwallet-kf5 (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:15:45 +0000

kwallet-kf5 (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:48:25 +0000

kwallet-kf5 (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:06:33 +0000

kwallet-kf5 (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:27:24 +0000

kwallet-kf5 (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:33:47 +0000

kwallet-kf5 (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:40:39 +0000

kwallet-kf5 (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:01:06 +0000

kwallet-kf5 (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:04:22 +0000

kwallet-kf5 (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:11:45 +0000

kwallet-kf5 (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:28:09 +0000

kwallet-kf5 (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:35:14 +0000

kwallet-kf5 (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:09:29 +0000

kwallet-kf5 (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:38:43 +0000

kwallet-kf5 (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:06:51 +0000

kwallet-kf5 (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:45:45 +0000

kwallet-kf5 (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:19:41 +0000

kwallet-kf5 (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:22:44 +0000

kwallet-kf5 (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Nov 2021 11:17:36 +0000

kwallet-kf5 (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Oct 2021 18:08:05 +0000

kwallet-kf5 (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:10:49 +0000

kwallet-kf5 (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:43 +0000

kwallet-kf5 (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:29:08 +0000

kwallet-kf5 (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:18:16 +0000

kwallet-kf5 (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:12:37 +0000

kwallet-kf5 (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:19:01 +0000

kwallet-kf5 (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:59:25 +0000

kwallet-kf5 (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:26:32 +0000

kwallet-kf5 (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:07:58 +0000

kwallet-kf5 (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:33:11 +0000

kwallet-kf5 (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:42:42 +0000

kwallet-kf5 (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:33:57 +0000

kwallet-kf5 (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:26:59 +0000

kwallet-kf5 (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:35:49 +0000

kwallet-kf5 (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:57:05 +0000

kwallet-kf5 (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:43:17 +0000

kwallet-kf5 (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:20:56 +0000

kwallet-kf5 (5.68.0-0neon) bionic; urgency=medium

  * New release



## kwallet-kf5 5.116.0+p24.04+vstable+git20250916.0214

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20250916.0214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 02:14:03 +0000

## kwallet-kf5 5.116.0+p24.04+vstable+git20251015.1019

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20251015.1019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:19:09 +0000

## kwallet-kf5 5.116.0+p24.04+vstable+git20251020.0118

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KWallet VERSION ${KF_VERSION})
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
 
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20251020.0118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:18:02 +0000

=== debian/control ===
Source: kwallet-kf5
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11.1~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libboost-dev,
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libkf5config-dev (>= 5.51.0~),
               libkf5configwidgets-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5dbusaddons-dev (>= 5.51.0~),
               libkf5doctools-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5notifications-dev (>= 5.51.0~),
               libkf5service-dev (>= 5.51.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libkf5windowsystem-dev (>= 5.51.0~),
               libqca-qt5-2-dev,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kwallet
Vcs-Git: https://invent.kde.org/neon/kde/kwallet.git
Vcs-Browser: https://invent.kde.org/neon/kde/kwallet
Maintainer: Neon CI <neon@kde.org>

Package: libkf5wallet-bin
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pinentry-qt
Breaks: kio (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5wallet5 (<< 4.100.0),
        libkf5webkit5 (<< 5.51)
Replaces: libkf5wallet5 (<< 4.100.0)
Description: Secure and unified container for user passwords.
 Runtime for interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the runtime files for kwallet-framework

Package: libkf5wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10)
Replaces: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10)
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the translation files for kwallet-framework

Package: libkf5wallet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.51.0~),
         libkf5wallet5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.51.0~),
         libkwalletbackend5-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Recommends: libkf5wallet-doc (= ${source:Version})
Breaks: libkf5kdelibs4support-dev (<< 5.51), libkf5khtml-dev (<< 5.51)
Replaces: libkf5wallet-doc (<< 5.61.90-0)
Description: development files for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains development files for kwallet-framework.

Package: libkf5wallet-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5wallet5
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         libkwalletbackend5-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
Breaks: kio (<< 5.51), libkf5khtml5 (<< 5.51), libkf5webkit5 (<< 5.51)

Package: libkwalletbackend5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Backend to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_KWALLETD=OFF -DBUILD_KWALLET_QUERY=OFF

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5wallet5-dbg (<= 5.19.0-1~~)'

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/frameworks/5([\d.]+)/kwallet-([\d.]+)\.tar\.xz

## kwallet-kf5 5.116.0+p24.04+vstable+git20251123.2310

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20251123.2310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 23:10:41 +0000

## kwallet-kf5 5.116.0+p24.04+vstable+git20251231.0125

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20251231.0125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:25:46 +0000

## kwallet-kf5 5.116.0+p24.04+vstable+git20260102.1128

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20260102.1128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:28:11 +0000

## kwallet-kf5 5.116.0+p24.04+vstable+git20260105.1130

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20260105.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:30:12 +0000

## kwallet-kf5 5.116.0+p24.04+vstable+git20260122.1308

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20260122.1308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 13:08:40 +0000

## kwallet-kf5 5.116.0+p24.04+vstable+git20260131.0153

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20260131.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:53:18 +0000

## kwallet-kf5 5.116.0+p24.04+vunstable+git20251020.0309

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vunstable+git20251020.0309-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:09:28 +0000

## kwallet-kf5 5.116.0+p24.04+vunstable+git20251111.0552

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vunstable+git20251111.0552-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 05:52:40 +0000

## kwallet-kf5 5.116.0+p24.04+vunstable+git20251123.0950

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vunstable+git20251123.0950-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:50:28 +0000

## kwallet-kf5 5.116.0+p24.04+vunstable+git20260201.0545

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vunstable+git20260201.0545-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:45:45 +0000
